// https://vitejs.dev/config/#build-polyfillmodulepreload
import "vite/modulepreload-polyfill";

// Vue
import { createApp } from "vue";

// if importing all is too much you can always do it manually
import GamuTable from "./components/gamuTable.vue";
import VuePapaParse from "vue-papa-parse";

const components = {
	GamuTable,
};

window.app = createApp({
	components,
	mounted() {
		app.rechargerJson = this.$refs.montableau.rechargerJson;
	},
});
app.use(VuePapaParse);
app.provide("$papa", app.config.globalProperties.$papa);
app.mount("#vue-gamutable");
